MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031825Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-10-06 10:542020-10-24 12:41
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031825: Data Exchange, STEP - NULL dereference while re-exporting model with empty Datum description
DescriptionRe-exporting nist_ctc_04_asme1_ap242.stp model into STEP leads to NULL dereference.
Steps To Reproduce
pload XDE OCAF VISUALIZATION
catch { Close D }
ReadStep D [locate_data_file bug26689_nist_ctc_04_asme1_ap242.stp]
WriteStep D test.stp
TagsNo tags attached.
Test case numberbugs/step/bug31825
Attached Files

- Relationships

-  Notes
(0096049)
git (administrator)
2020-10-19 09:37

Branch CR31825 has been created by dpasukhi.

SHA-1: b682051e7814df841ff4fa4b6067a8c8bc6e7b73


Detailed log of new commits:

Author: dpasukhi
Date: Sat Oct 17 16:21:51 2020 +0300

    0031825: Data Exchange, STEP - NULL dereference while re-exporting model with empty Datum description
    
    Fix adding name and description of the datum
(0096050)
kgv (developer)
2020-10-19 09:56

 Handle(TCollection_HAsciiString) XCAFDoc_Datum::GetDescription() const
 {
+  if (myDescription.IsNull())
+    return new TCollection_HAsciiString();
   return myDescription;

I don't think this is a good design.
(0096097)
git (administrator)
2020-10-21 11:56

Branch CR31825_1 has been created by dpasukhi.

SHA-1: 1a451cf6c1bcf24ecd650fb51e3b1ce068197c9f


Detailed log of new commits:

Author: dpasukhi
Date: Sat Oct 17 16:21:51 2020 +0300

    0031825: Data Exchange, STEP - NULL dereference while re-exporting model with empty Datum description
    
    Fix adding name and description of the datum
(0096098)
dpasukhi (developer)
2020-10-21 12:06
edited on: 2020-10-21 15:08

Dear Ika,
please review CR31825_1.
Bug has been fixed ( Doc can be write )

(0096109)
git (administrator)
2020-10-21 15:12

Branch CR31825_1 has been updated forcibly by dpasukhi.

SHA-1: 58cdde269bc50fc15c958f8b433e1ba8290db366
(0096110)
dpasukhi (developer)
2020-10-21 15:38
edited on: 2020-10-21 15:45

Tests are ok:
http://occt-tests/CR31825-master-dpasukhi-OCCT/Windows-64-VC14/summary.html [^]
http://occt-tests/CR31825-master-dpasukhi-OCCT/Debian80-64/diff_summary.html [^]
http://occt-tests/CR31825-master-dpasukhi-Products/Windows-64-VC14/diff_summary.html [^]
http://occt-tests/CR31825-master-dpasukhi-Products/Debian80-64/diff_summary.html [^]

(0096130)
git (administrator)
2020-10-22 10:53

Branch CR31825_2 has been created by dpasukhi.

SHA-1: bf68a8b978aa3b5962b424df519cc08753aadbe7


Detailed log of new commits:

Author: dpasukhi
Date: Sat Oct 17 16:21:51 2020 +0300

    0031825: Data Exchange, STEP - NULL dereference while re-exporting model with empty Datum description
    
    Fix adding name and description of the datum
(0096134)
dpasukhi (developer)
2020-10-22 14:07

Dear ika,
All tests are ok, see
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR31825-master-dpasukhi/ [^]
Please review CR31825_2
(0096143)
git (administrator)
2020-10-22 15:37

Branch CR31825_2 has been updated forcibly by dpasukhi.

SHA-1: f4f2954d6368edac51c97f5236f779132c1982b0
(0096147)
ika (developer)
2020-10-22 17:55

No remarks, please integrate.

OCCT - CR31825_2
Products - NOT
(0096196)
bugmaster (administrator)
2020-10-24 12:19

Combination -
OCCT branch : IR-2020-10-23
master SHA - 9f9490e1ae0eaf38507437019a117437c6317225
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-23 SHA - 4594c3ef5cc6ec5816231ba88e2a4863a25a06d2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18000.12000000008 / 18036.38000000013 [-0.20%]
Products
Total CPU difference: 12171.670000000115 / 12174.520000000093 [-0.02%]
Windows-64-VC14:
OCCT
Total CPU difference: 19723.78125 / 19746.3125 [-0.11%]
Products
Total CPU difference: 13538.390625 / 13565.046875 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0096205)
git (administrator)
2020-10-24 12:41

Branch CR31825_2 has been deleted by inv.

SHA-1: f4f2954d6368edac51c97f5236f779132c1982b0
(0096211)
git (administrator)
2020-10-24 12:41

Branch CR31825_1 has been deleted by inv.

SHA-1: 58cdde269bc50fc15c958f8b433e1ba8290db366
(0096217)
git (administrator)
2020-10-24 12:41

Branch CR31825 has been deleted by inv.

SHA-1: b682051e7814df841ff4fa4b6067a8c8bc6e7b73

- Related Changesets
occt: master 692decba
Timestamp: 2020-10-17 13:21:51
Author: dpasukhi
Committer: bugmaster
Details ] Diff ]
0031825: Data Exchange, STEP - NULL dereference while re-exporting model with empty Datum description

Fix adding name and description of the datum
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
add - tests/bugs/step/bug31825 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-06 10:54 kgv New Issue
2020-10-06 10:54 kgv Assigned To => gka
2020-10-06 10:54 kgv Relationship added related to 0030245
2020-10-06 10:54 kgv Assigned To gka => dpasukhi
2020-10-06 10:54 kgv Status new => assigned
2020-10-06 10:54 kgv Summary Data Exchange, STEP - NULL dereference while reexporting model with empty Datum description => Data Exchange, STEP - NULL dereference while re-exporting model with empty Datum description
2020-10-06 10:57 kgv Product Version 7.4.0 => 7.1.0
2020-10-19 09:37 git Note Added: 0096049
2020-10-19 09:56 kgv Note Added: 0096050
2020-10-21 11:56 git Note Added: 0096097
2020-10-21 12:06 dpasukhi Note Added: 0096098
2020-10-21 12:06 dpasukhi Assigned To dpasukhi => ika
2020-10-21 12:06 dpasukhi Status assigned => resolved
2020-10-21 15:08 dpasukhi Note Edited: 0096098 View Revisions
2020-10-21 15:12 git Note Added: 0096109
2020-10-21 15:38 dpasukhi Note Added: 0096110
2020-10-21 15:45 dpasukhi Note Edited: 0096110 View Revisions
2020-10-22 10:53 git Note Added: 0096130
2020-10-22 14:07 dpasukhi Note Added: 0096134
2020-10-22 15:37 git Note Added: 0096143
2020-10-22 17:55 ika Note Added: 0096147
2020-10-22 17:55 ika Assigned To ika => bugmaster
2020-10-22 17:55 ika Status resolved => reviewed
2020-10-24 12:19 bugmaster Note Added: 0096196
2020-10-24 12:19 bugmaster Status reviewed => tested
2020-10-24 12:26 bugmaster Test case number => bugs/step/bug31825
2020-10-24 12:30 bugmaster Changeset attached => occt master 692decba
2020-10-24 12:30 bugmaster Status tested => verified
2020-10-24 12:30 bugmaster Resolution open => fixed
2020-10-24 12:41 git Note Added: 0096205
2020-10-24 12:41 git Note Added: 0096211
2020-10-24 12:41 git Note Added: 0096217


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker